Bug 15394 - Library problem
Library problem
Product: Red Hat Linux
Classification: Retired
Component: gnome-core (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Owen Taylor
: 15396 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2000-08-04 10:42 EDT by mal
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-08-04 13:18:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description mal 2000-08-04 10:42:12 EDT
When trying to recompile openssh on RedHat 7.0. beta I get:
+ gcc -O -g -I/usr/include -DNEED_GNOMESUPPORT_H
-I/usr/lib/gnome-libs/include -I/usr/lib/glib/include -I/usr/X11R6/include
gnome-ssh-askpass.c -o gnome-ssh-askpass -rdynamic -L/usr/lib -L%prefix/lib
-L/usr/X11R6/lib -lgnomeui -lart_lgpl -lgdk_imlib -lSM -lICE -lgtk -lgdk
-lgmodule -lXi -lXext -lX11 -lgnome -lgnomesupport -lesd -laudiofile -lm
-ldb1 -lglib -ldl
/usr/bin/ld: cannot find -ldb1
collect2: ld returned 1 exit status

The problem is with db1 library which is from
[root@localhost /]# gnome-config --libs gnome gnomeui
-rdynamic -L/usr/lib -L%prefix/lib -L/usr/X11R6/lib -lgnomeui -lart_lgpl
-lgdk_imlib -lSM -lICE -lgtk -lgdk -lgmodule -lXi -lXext -lX11 -lgnome
-lgnomesupport -lesd -laudiofile -lm -ldb1 -lglib -ldl

[root@localhost /]# locate libdb1

[root@localhost /]# rpm -qf /usr/lib/libdb1.so.2 
Comment 1 mal 2000-08-04 11:01:52 EDT
It looks like this is a problem with 
which does not create a symlink
ln -s /usr/lib/libdb1.so.2 /usr/lib/libdb1.so
So libdb1.so is not found.
After putting this link manually everything is OK.
Comment 2 David Mason 2000-08-04 11:06:58 EDT
owen - is this ours? please reassign if not
Comment 3 Owen Taylor 2000-08-04 12:53:01 EDT
Do you perhaps not have the db1-devel package installed?
Comment 4 mal 2000-08-04 13:18:35 EDT
the db1-devel (which has that symlink)
was not installed.
Comment 5 Owen Taylor 2000-08-04 22:39:06 EDT
Added dependency on db1-devel to gnome-libs-devel, which should
prevent this problem from coming up. (gnome-libs-1.2.4-4)
Comment 6 Jeremy Katz 2000-08-05 15:48:29 EDT
*** Bug 15396 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.